# ITAT_Challange_Olympics

## Registration for Challange

This is my registration for the challange in "Informationstechnik und Automatisierungstechnik".

## Information Gathering

Overview:
https://olympics.com/en/paris-2024/sports

Pictograms:
https://olympics.com/en/paris-2024/the-games/the-brand/pictograms

### API Request for Archery Data (replace ARC with other short from table below for different disciplines):
```js
await (await fetch("https://sph-s-api.olympics.com/summer/schedules/api/ENG/schedule/discipline/ARC", {
  "method": "GET",
})).json();
```

**NOTE:** You can switch between API and mock data in "src/api/OlympicsAPI.h" with the defined value "USE_API_REQUEST".

### Table for discipline short names from the IOC (International Olympics Comittee):

|Sport|Short|
|---|---|
|AquaticsArtisticSwimming|SWA|
|AquaticsDiving|DIV|
|AquaticsMarathonSwimming|OWS|
|AquaticsSwimming|SWM|
|AquaticsWaterPolo|WPO|
|Archery|ARC|
|Athletics|ATH|
|Badminton|BDM|
|Basketball3v3|BK3|
|Basketball|BKB|
|Boxing|BOX|
|Breaking|BKG|
|CanoeingSprint|CSP|
|CanoeingSlalom|CSL|
|CyclingBMXFreestyle|BMF|
|CyclingBMXRacing|BMX|
|CyclingMaountainBike|MTB|
|CyclingRoad|CRD|
|CyclingTrack|CTR|
|EquestrianDressage|EDR|
|EquestrianEventing|EVE|
|EquestrianJumping|EJP|
|Fencing|FEN|
|FieldHockey|HOC|
|Football|FBL|
|Golf|GLF|
|GymnasticsArtistic|GAR|
|GymnasticsRhythmic|GRY|
|GymnasticsTrampoline|GTR|
|HandballIndoor|HBL|
|Judo|JUD|
|ModernPentathlon|MPN|
|Rowing|ROW|
|Rugby7|RU7|
|Sailing|SAL|
|Shooting|SHO|
|Skateboarding|SKB|
|SportClimbing|CLB|
|Surfing|SRF|
|TableTennis|TTE|
|Taekwondo|TKW|
|Tennis|TEN|
|Triathlon|TRI|
|VolleyballBeach|VBV|
|VolleyballIndoor|VVO|
|Weightlifting|WLF|
|WrestlingFreestyle|WRE|
|WrestlingGrecoRoman|WRG|

### Sport Specifics

Archery:
- rules: https://olympics.com/en/paris-2024/sports/archery
- explanation: https://www.nbcphiladelphia.com/paris-2024-summer-olympics/olympics-archery-rules-events-history/3783592/
- competition schedule: https://olympics.com/en/paris-2024/schedule/archery
- participating nations/athletes: https://en.wikipedia.org/wiki/Archery_at_the_2024_Summer_Olympics_%E2%80%93_Qualification

Taekwondo:
- rules: https://olympics.com/en/paris-2024/sports/taekwondo
